/*
 * Copyright 2005 Luther E. Birdzell.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.itko.lisa.ext.exception;

/**
 * This exception is thrown if a required parameter is missing.
 * 
 * @author <a href="mailto:luther@dctmutils.org">Luther E. Birdzell</a>
 */
public class MissingParameterException
        extends RuntimeException
{
    private static final long  serialVersionUID         = 2927119108125099823L;

    /**
     * "The parameter "
     */
    public static final String MISSING_PARAMETER_PREFIX = "The parameter(s) ";

    /**
     * " is required."
     */
    public static final String MISSING_PARAMETER_SUFFIX = " is/are required.";

    /**
     * Constructor MissingParameterException
     * 
     * @param missingParameterName
     */
    public MissingParameterException(String missingParameterName)
    {
        super(MISSING_PARAMETER_PREFIX + missingParameterName
                + MISSING_PARAMETER_SUFFIX);
    }
}
